------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
function CreateMainWindow()
	MinstrelMentorWindow=Turbine.UI.Lotro.GoldWindow(); 
	MinstrelMentorWindow:SetSize(228,170); 
	MinstrelMentorWindow:SetText(Strings.PluginName); 

	MinstrelMentorWindow.Message=Turbine.UI.Label(); 
	MinstrelMentorWindow.Message:SetParent(MinstrelMentorWindow); 
	MinstrelMentorWindow.Message:SetSize(150,10); 
	MinstrelMentorWindow.Message:SetPosition(MinstrelMentorWindow:GetWidth()/2 - 75, MinstrelMentorWindow:GetHeight()/2 + 65); 
	MinstrelMentorWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	MinstrelMentorWindow.Message:SetText(Strings.PluginText); 
	MinstrelMentorWindow:SetWantsKeyEvents(true);
	MinstrelMentorWindow:SetVisible(settings.isWindowVisible); 

	MinstrelMentorWindow:SetPosition(settings.positionX, settings.positionY);

	------------------------------------------------------------------------------------------
	-- yel helper center window
	------------------------------------------------------------------------------------------
	centerWindow = Turbine.UI.Extensions.SimpleWindow();
	centerWindow:SetSize( 40 , 40 );
	centerWindow:SetParent( MinstrelMentorWindow );
	centerWindow:SetPosition( 10 ,MinstrelMentorWindow:GetHeight()/2 - 32);
	centerWindow:SetVisible( true );
	centerWindow:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow2 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow2:SetSize( 40 , 40 );
	centerWindow2:SetParent( MinstrelMentorWindow );
	centerWindow2:SetPosition( 52 ,MinstrelMentorWindow:GetHeight()/2 - 32);
	centerWindow2:SetVisible( true );
	centerWindow2:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow3 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow3:SetSize( 40 , 40 );
	centerWindow3:SetParent( MinstrelMentorWindow );
	centerWindow3:SetPosition( 94 ,MinstrelMentorWindow:GetHeight()/2 - 32);
	centerWindow3:SetVisible( true );
	centerWindow3:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow4 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow4:SetSize( 40 , 40 );
	centerWindow4:SetParent( MinstrelMentorWindow );
	centerWindow4:SetPosition( 136 ,MinstrelMentorWindow:GetHeight()/2 - 32);
	centerWindow4:SetVisible( true );
	centerWindow4:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow5 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow5:SetSize( 40 , 40 );
	centerWindow5:SetParent( MinstrelMentorWindow );
	centerWindow5:SetPosition( 178 ,MinstrelMentorWindow:GetHeight()/2 - 32);
	centerWindow5:SetVisible( true );
	centerWindow5:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow6 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow6:SetSize( 40 , 40 );
	centerWindow6:SetParent( MinstrelMentorWindow );
	centerWindow6:SetPosition( 10 ,MinstrelMentorWindow:GetHeight()/2 + 10);
	centerWindow6:SetVisible( true );
	centerWindow6:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow7 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow7:SetSize( 40 , 40 );
	centerWindow7:SetParent( MinstrelMentorWindow );
	centerWindow7:SetPosition( 52 ,MinstrelMentorWindow:GetHeight()/2 + 10);
	centerWindow7:SetVisible( true );
	centerWindow7:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow8 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow8:SetSize( 40 , 40 );
	centerWindow8:SetParent( MinstrelMentorWindow );
	centerWindow8:SetPosition( 94 ,MinstrelMentorWindow:GetHeight()/2 + 10);
	centerWindow8:SetVisible( true );
	centerWindow8:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow9 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow9:SetSize( 40 , 40 );
	centerWindow9:SetParent( MinstrelMentorWindow );
	centerWindow9:SetPosition( 136 ,MinstrelMentorWindow:GetHeight()/2 + 10);
	centerWindow9:SetVisible( true );
	centerWindow9:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow10 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow10:SetSize( 40 , 40 );
	centerWindow10:SetParent( MinstrelMentorWindow );
	centerWindow10:SetPosition( 178 ,MinstrelMentorWindow:GetHeight()/2 + 10);
	centerWindow10:SetVisible( true );
	centerWindow10:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 40, 40  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow2);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 40, 40  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow3);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 40, 40  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow4);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 40, 40  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow5);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 40, 40  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow6);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 40, 40  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow7);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 40, 40  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow8);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 40, 40  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow9);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 40, 40  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow10);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 40, 40  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerQS1 = Turbine.UI.Lotro.Quickslot();
	centerQS1:SetParent( centerWindow );
	centerQS1:SetPosition( 1, 1 );
	centerQS1:SetSize( 36, 36 );
	centerQS1:SetUseOnRightClick(false);

	centerQS2 = Turbine.UI.Lotro.Quickslot();
	centerQS2:SetParent( centerWindow2 );
	centerQS2:SetPosition( 1, 1 );
	centerQS2:SetSize( 36, 36 );
	centerQS2:SetUseOnRightClick(false);

	centerQS3 = Turbine.UI.Lotro.Quickslot();
	centerQS3:SetParent( centerWindow3 );
	centerQS3:SetPosition( 1, 1 );
	centerQS3:SetSize( 36, 36 );
	centerQS3:SetUseOnRightClick(false);

	centerQS4 = Turbine.UI.Lotro.Quickslot();
	centerQS4:SetParent( centerWindow4 );
	centerQS4:SetPosition( 1, 1 );
	centerQS4:SetSize( 36, 36 );
	centerQS4:SetUseOnRightClick(false);

	centerQS5 = Turbine.UI.Lotro.Quickslot();
	centerQS5:SetParent( centerWindow5 );
	centerQS5:SetPosition( 1, 1 );
	centerQS5:SetSize( 36, 36 );
	centerQS5:SetUseOnRightClick(false);

	centerQS6 = Turbine.UI.Lotro.Quickslot();
	centerQS6:SetParent( centerWindow6 );
	centerQS6:SetPosition( 1, 1 );
	centerQS6:SetSize( 36, 36 );
	centerQS6:SetUseOnRightClick(false);

	centerQS7 = Turbine.UI.Lotro.Quickslot();
	centerQS7:SetParent( centerWindow7 );
	centerQS7:SetPosition( 1, 1 );
	centerQS7:SetSize( 36, 36 );
	centerQS7:SetUseOnRightClick(false);

	centerQS8 = Turbine.UI.Lotro.Quickslot();
	centerQS8:SetParent( centerWindow8 );
	centerQS8:SetPosition( 1, 1 );
	centerQS8:SetSize( 36, 36 );
	centerQS8:SetUseOnRightClick(false);

	centerQS9 = Turbine.UI.Lotro.Quickslot();
	centerQS9:SetParent( centerWindow9 );
	centerQS9:SetPosition( 1, 1 );
	centerQS9:SetSize( 36, 36 );
	centerQS9:SetUseOnRightClick(false);

	centerQS10 = Turbine.UI.Lotro.Quickslot();
	centerQS10:SetParent( centerWindow10 );
	centerQS10:SetPosition( 1, 1 );
	centerQS10:SetSize( 36, 36 );
	centerQS10:SetUseOnRightClick(false);
end